package com.dxhy.core.thread;


/**
 * @author user
 */

public class BaseThread extends Thread {

    /**
     * 获取导出成功标题
     *
     * @param title
     *            公共标题
     * @return
     *
     */
    public String getSuccTitle(String title) {
        title += "导出成功，可以下载";
        return title;
    }

    /**
     * 获取导出成功内容
     *
     * @param createDate
     *            申请时间
     * @return
     *
     */
    public String getSuccContent(String createDate) {
        return "申请时间：" + createDate + "。申请导出成功，可以下载！";
    }

    /**
     * 获取导出失败标题
     *
     * @param title
     *            公共标题
     * @return
     *
     */
    public String getFailTitle(String title) {
        title += "导出失败";
        return title;
    }

    /**
     * 获取导出失败的内容
     *
     * @param createDate
     *            申请时间
     * @param errmsg
     *            错误信息
     * @return
     *
     */
    public String getFailContent(String createDate, String errmsg) {
        return "申请时间：" + createDate + "。申请导出失败，请重新申请！";
    }

    /**
     * 获取excel下载连接
     *
     * @param id
     * @return
     *
     */
    public String getUrl(long id) {
        String downLoadurl = "/ftp/download";
        return downLoadurl + "?serviceType=2&downloadId=" + id;
    }
}
